---

- name: Zammad Install {{ansible_distribution}} {{ansible_distribution_release}} | 1. Release Key adden
  apt_key: 
    url: https://dl.packager.io/srv/zammad/zammad/key
    state: present

- name: Zammad Install {{ansible_distribution}} {{ansible_distribution_release}} | 2. New Zammad-Repo
  apt_repository:
    repo: deb https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 10 main
    state: present
    filename: zammad

- name: Zammad Install {{ansible_distribution}} {{ansible_distribution_release}}  | Installieren
  apt:
    name: zammad
    state: present
    update_cache: yes

- name: Zammad Install {{ansible_distribution}} {{ansible_distribution_release}} | Starte Services
  ansible.builtin.systemd:
    name: "{{ item }}"
    state: started
    enabled: yes
  with_items:
    - 'zammad'
    - 'zammad-web'
    - 'zammad-worker'
    - 'zammad-websocket'